package com.ruoyi.generator.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 当前登录用户的推荐和收藏信息提醒
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RecommendAndCollectVo {
    private Long id;
    private int type;
    private Long articleId;
    private Long thirdId;
    private String avatar;
    private String nickName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private String imageUrl;
    private String content;
    private boolean isRead;
}
